<bugID>516755<Summary>Electrolysis: implement session-restore</Summary><Description>Session restore currently walks the various tabs and such synchronously to collect restore information. With Electrolysis that's a bad idea (because you can block the entire Firefox UI on a single misbehaving tab) and should also be unnecessary: each tab could asynchronously send session updates to chrome... you could even write each tab's data in a separate file as it comes to avoid big I/O hits writing all the JSON at once.</Description></bugID>